# PetscViewerSocketPutInt

Passes an integer array to a Socket PetscViewer.

### Synopsis

    PetscErrorCode PetscViewerSocketPutInt(PetscViewer viewer,PetscInt m,PetscInt *array)

### Input Parameters

| viewer | - obtained from PetscViewerSocketOpen()
| m | - number of rows of array
| array | - the array stored in column ordering (matrix or vector data)

### Notes

Most users should not call this routine, but instead should employ either

         MatView(Mat matrix,PetscViewer viewer)
                  or
         VecView(Vec vector,PetscViewer viewer)

### See Also

PetscViewerSocketOpen(), MatView(), VecView(), PetscViewerSocketPutScalar(), PetscViewerSocketPutReal(),
PETSC_VIEWER_SOCKET_, PETSC_VIEWER_SOCKET_WORLD, PETSC_VIEWER_SOCKET_SELF

Level:advanced
Location:src/sys/src/viewer/impls/socket/senddense.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages